Page MenuHomePhabricator

TMH video.js-mode 'info' button link normalization
Closed, ResolvedPublic

Description

Followup from https://gerrit.wikimedia.org/r/#/c/288122/ -- 'info' button resulting link doesn't quite match standard MW title->url escaping. Needs also to escape the Unicode bits in the file namespace.

Maybe best to use mw.title ?

Details

Related Gerrit Patches:
mediawiki/extensions/TimedMediaHandler : masterEncode namespace when generating info link
mediawiki/extensions/TimedMediaHandler : masterEncode namespace when generating info link

Event Timeline

brion created this task.Jun 27 2016, 4:24 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 27 2016, 4:24 PM
TheDJ moved this task from Backlog to Video.js on the Kaltura player board.Oct 18 2016, 6:52 PM

Change 316938 had a related patch set uploaded (by TheDJ):
Untested: Encode namespace when generating info link

https://gerrit.wikimedia.org/r/316938

TheDJ claimed this task.Oct 20 2016, 8:43 AM
TheDJ added a project: TimedMediaHandler.
TheDJ moved this task from To sort to Doing on the TimedMediaHandler board.

Change 316938 abandoned by TheDJ:
Encode namespace when generating info link

https://gerrit.wikimedia.org/r/316938

TheDJ removed TheDJ as the assignee of this task.Sep 18 2017, 1:40 PM
TheDJ added a subscriber: TheDJ.

Change 493308 had a related patch set uploaded (by Brion VIBBER; owner: Brion VIBBER):
[mediawiki/extensions/TimedMediaHandler@master] Encode namespace when generating info link

https://gerrit.wikimedia.org/r/493308

brion claimed this task.Feb 27 2019, 8:16 PM

Change 493308 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@master] Encode namespace when generating info link

https://gerrit.wikimedia.org/r/493308

TheDJ closed this task as Resolved.May 8 2019, 11:22 AM
TheDJ removed a project: Patch-For-Review.
TheDJ moved this task from Doing to Done on the TimedMediaHandler board.